<%
/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 *
 *
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/my_account/init.jsp" %>

<%
String tabs1 = ParamUtil.getString(request, "tabs1");

String backURL = ParamUtil.getString(request, "backURL");

long userId = ParamUtil.getLong(request, "userId");

User selUser = UserLocalServiceUtil.getUserById(userId);

boolean hasPowerUserRole = RoleLocalServiceUtil.hasUserRole(userId, company.getCompanyId(), RoleConstants.POWER_USER, true);

boolean privateLayoutsModifiable = PropsValues.LAYOUT_USER_PRIVATE_LAYOUTS_MODIFIABLE && (!PropsValues.LAYOUT_USER_PRIVATE_LAYOUTS_POWER_USER_REQUIRED || hasPowerUserRole);
boolean publicLayoutsModifiable = PropsValues.LAYOUT_USER_PUBLIC_LAYOUTS_MODIFIABLE && (!PropsValues.LAYOUT_USER_PUBLIC_LAYOUTS_POWER_USER_REQUIRED || hasPowerUserRole);
%>

<c:if test="<%= privateLayoutsModifiable || publicLayoutsModifiable %>">
	<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="publicPagesURL">
		<portlet:param name="struts_action" value="/my_account/edit_pages" />
		<portlet:param name="tabs1" value="public-pages" />
		<portlet:param name="backURL" value="<%= backURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(selUser.getGroup().getGroupId()) %>" />
	</portlet:renderURL>

	<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="privatePagesURL">
		<portlet:param name="struts_action" value="/my_account/edit_pages" />
		<portlet:param name="tabs1" value="private-pages" />
		<portlet:param name="backURL" value="<%= backURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(selUser.getGroup().getGroupId()) %>" />
	</portlet:renderURL>

	<%
	String tabs1Names = "";
	String tabs1Url0 = "";
	String tabs1Url1 = "";
	String tabs1Url2 = "";

	if (portletName.equals(PortletKeys.MY_ACCOUNT)) {
		tabs1Url0 = themeDisplay.getURLMyAccount().toString();
	}
	else {
		PortletURL profileURL = renderResponse.createRenderURL();

		profileURL.setParameter("struts_action", "/enterprise_admin/edit_user");
		profileURL.setParameter("backURL", backURL);
		profileURL.setParameter("p_u_i_d", String.valueOf(selUser.getUserId()));
		profileURL.setWindowState(WindowState.MAXIMIZED);

		tabs1Url0 = profileURL.toString();
	}

	if (privateLayoutsModifiable && publicLayoutsModifiable) {
		tabs1Names = "profile,public-pages,private-pages";
		tabs1Url1 = publicPagesURL;
		tabs1Url2 = privatePagesURL;
	}
	else if (publicLayoutsModifiable) {
		tabs1Names = "profile,public-pages";
		tabs1Url1 = publicPagesURL;
	}
	else if (privateLayoutsModifiable) {
		tabs1Names = "profile,private-pages";
		tabs1Url1 = privatePagesURL;
	}
	%>

	<liferay-ui:tabs
		names="<%= tabs1Names %>"
		param="tabs1"
		value="<%= tabs1 %>"
		url0="<%= tabs1Url0 %>"
		url1="<%= tabs1Url1 %>"
		url2="<%= tabs1Url2 %>"
	/>
</c:if>